Warning: restarting the docstring loader (crashed while loading 'uhd_usrp_sink')

Hi,

I recently installed the latest version of Gnuradio
(v3.7.9.2-279-gd7eaf6e1) using the following procedure:

sudo apt-get install git
sudo apt-get install cmake
sudo apt-get install python-pip
sudo pip install -U pip
sudo pip install PyBOMBS
sudo pybombs prefix init /usr/local -a usrlocal
sudo pybombs config default_prefix /usr/local
sudo pybombs recipes add gr-recipes
git+https://github.com/gnuradio/gr-recipes.git
sudo pybombs recipes add gr-etcetera
git+https://github.com/gnuradio/gr-etcetera.git
sudo apt-get update
sudo pybombs install uhd gnuradio
sudo ldconfig
sudo apt-get install gnuradio

I have a problem with the UHD block, in fact when I run

optirun gnuradio-companion

I obtain the following warnings:

Warning: restarting the docstring loader (crashed while loading
‘uhd_amsg_source’)
Warning: restarting the docstring loader (crashed while loading
‘uhd_usrp_sink’)
Warning: restarting the docstring loader (crashed while loading
‘uhd_usrp_source’)

If I try to use a UHD block, gnuradio crashes.

If I try to open gnuradio without bubblebee I can use all the blocks,
but when I use the USRP with the ‘uhd usrp sink’ block I obtain a lot of
Underun and then gnuradio crashes.

Do you have any clue?

Thanks in advance.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs